Bug 474972 - pyuic4 generates code that doesn't run
pyuic4 generates code that doesn't run
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: PyQt4 (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-06 01:35 EST by Barry Roberts
Modified: 2009-12-18 02:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:11:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Barry Roberts 2008-12-06 01:35:27 EST
Description of problem:
pyuic4 generates code that doesn't run

Version-Release number of selected component (if applicable):

PyQt4-devel-4.4.3-1.fc10.i386

How reproducible:
always

Steps to Reproduce:
1.download or clone git-cola (http://cola.tuxfamily.org)
2.make
3.run git-cola
  
Actual results:
 File "/home/blr/bin/git-cola", line 54, in <module>
    main()
  File "home/blr/lib/python2.5/site-packages/cola/main.py", line 114, in main
  File "home/blr/lib/python2.5/site-packages/cola/views/main.py", line 22, in __init__
  File "home/blr/lib/python2.5/site-packages/cola/gui/main.py", line 183, in setupUi
AttributeError: setSortingEnabled

Expected results:
git-cola runs correctly


Additional info:
The exact same version of git-cola compiles and runs just fine on Fedora 9.  The exception is in pyuic4-generated code (attached).  Apparently a QSplitter doesn't have a setSortingEnabled method.
Comment 1 Rex Dieter 2009-01-08 14:12:30 EST
PyQt4-4.4.4 is in updates-testing, can you try that and see if it helps?

(I have one report already that it does).
Comment 2 Barry Roberts 2009-01-09 01:46:38 EST
That didn't seem to fix it for me.  I did:
sudo yum --enablerepo=updates-testing update PyQt4

and now I have:
PyQt4-4.4.4-1.fc10.i386
PyQt4-devel-4.4.4-1.fc10.i386
sip-4.7.9-1.fc10.i386

The file that has the problem is:
http://github.com/davvid/git-cola/tree/master/ui/main.ui
pyuic4 -x ui/main.ui -o cola/gui/main.py

generates a main.py with the following lines:

185:         self.splitter.setSortingEnabled(__sortingEnabled)
187:         self.centralwidget.setSortingEnabled(__sortingEnabled)

which cause a runtime exception.

It's just odd that it worked on Fedora 9, then broke when I upgraded to 10.
Comment 3 Arenas Belon, Carlo Marcelo 2009-03-28 02:01:25 EDT
A similar traceback is also observed if using the Fedora provided package of git-cola as shown by :

$ git-cola 
Traceback (most recent call last):
  File "/usr/bin/git-cola", line 59, in <module>
    main()
  File "/usr/lib/python2.5/site-packages/cola/main.py", line 119, in main
    from cola.models import Model
  File "/usr/lib/python2.5/site-packages/cola/models.py", line 14, in <module>
    from cola import model
  File "/usr/lib/python2.5/site-packages/cola/model.py", line 23, in <module>
    from cola import jsonpickle
  File "/usr/lib/python2.5/site-packages/cola/jsonpickle/__init__.py", line 221, in <module>
    json = JSONPluginMgr()
  File "/usr/lib/python2.5/site-packages/cola/jsonpickle/__init__.py", line 97, in __init__
    self.load_backend('json', 'dumps', 'loads', ValueError)
  File "/usr/lib/python2.5/site-packages/cola/jsonpickle/__init__.py", line 138, in load_backend
    self._encoders[name] = getattr(mod, encode_name)
AttributeError: 'module' object has no attribute 'dumps'
Comment 4 Rex Dieter 2009-07-02 14:49:13 EDT
Just tested PyQt4-4.5.1 (coming soon) + git-cola.noarch 0:1.3.6-1.fc11

and things seem happy.  I'll make sure to ping this bug when the update lands (along with kde-4.3)
Comment 5 Bug Zapper 2009-11-18 05:21:49 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-12-18 02:11:03 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.